@ECHO ON
PUSHD "%~dp0"

:: IMPORT NEW POWER PLAN FROM EXPORTED PLAN.
rem ===== Legion Balance mode =============
powercfg /IMPORT "%~dp0Balance_Mode.pow" 85d583c5-cf2e-4197-80fd-3789a227a72c >> POWER.LOG
powercfg /CHANGENAME 85d583c5-cf2e-4197-80fd-3789a227a72c "Legion Balance Mode"
ECHO.>> POWER.LOG

rem ===== Legion Performance mode =========
powercfg /IMPORT "%~dp0Performance_Mode.pow" 52521609-efc9-4268-b9ba-67dea73f18b2 >> POWER.LOG
powercfg /CHANGENAME 52521609-efc9-4268-b9ba-67dea73f18b2 "Legion Performance Mode"
ECHO.>> POWER.LOG

rem ===== Legion Quiet mode ===============
powercfg /IMPORT "%~dp0Quiet_Mode.pow" 16edbccd-dee9-4ec4-ace5-2f0b5f2a8975 >> POWER.LOG
powercfg /CHANGENAME 16edbccd-dee9-4ec4-ace5-2f0b5f2a8975 "Legion Quiet Mode"
ECHO.>> POWER.LOG

:: SET AND ACTIVE NEW POWER PLAN.
powercfg /SETACTIVE 85d583c5-cf2e-4197-80fd-3789a227a72c

:: CHANGE CURRENT POWER PLAN VALUE.
:: Balanced - Disk settings - Link power management mode - HIPM/DIPM
:: Allows users to configure the link power management mode for disk and storage devices that are attached to the system through an AHCI interface.
:: HIPM - Host initiated allowed only - HIPM+DIPM - Both Host and Device initiated allowed
powercfg /setacvalueindex 85d583c5-cf2e-4197-80fd-3789a227a72c 0012ee47-9041-4b5d-9b77-535fba8b1442 0b2d69d7-a2a1-449c-9680-f91c70521c60 2
powercfg /setdcvalueindex 85d583c5-cf2e-4197-80fd-3789a227a72c 0012ee47-9041-4b5d-9b77-535fba8b1442 0b2d69d7-a2a1-449c-9680-f91c70521c60 2

:: CHANGE CURRENT POWER PLAN VALUE.
:: Performance - None - Power plan type - Balanced
:: The default Windows power plan types include Balanced, Power saver, and High performance. The three types are designed to balance power savings while providing performance on demand, maximize power savings, or maximize performance.
powercfg /setacvalueindex 52521609-efc9-4268-b9ba-67dea73f18b2 fea3413e-7e05-4911-9a71-700331f1c294 245d8541-3943-4422-b025-13a784f679b7 2
powercfg /setdcvalueindex 52521609-efc9-4268-b9ba-67dea73f18b2 fea3413e-7e05-4911-9a71-700331f1c294 245d8541-3943-4422-b025-13a784f679b7 2

:: Translate CURRENT POWER PLAN NAME to CHINESE
for /f %%i in ('wmic path win32_operatingsystem get OSLANGUAGE /value ^| find /i "OSLANGUAGE"') do set %%i

echo %OSLANGUAGE%

if %OSLANGUAGE% EQU 2052 goto CHS

goto end

:CHS
echo CHS Zone
POWERCFG /CHANGENAME 52521609-efc9-4268-b9ba-67dea73f18b2  "Ұģʽ"
POWERCFG /CHANGENAME 85d583c5-cf2e-4197-80fd-3789a227a72c  "ģʽ"
POWERCFG /CHANGENAME 16edbccd-dee9-4ec4-ace5-2f0b5f2a8975  "ģʽ"
goto end

:end
popd